gnutls_privkey_export_dsa_raw(3)

NAME
gnutls_privkey_export_dsa_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_export_dsa_raw(gnutls_privkey_t key, gnutls_datum_t * p, gnutls_datum_t * q, gnutls_datum_t * g, gnutls_datum_t * y, gnutls_datum_t * x);

ARGUMENTS

gnutls_privkey_t key
    Holds the public key

gnutls_datum_t * p
    will hold the p

gnutls_datum_t * q
    will hold the q

gnutls_datum_t * g
    will hold the g

gnutls_datum_t * y
    will hold the y

gnutls_datum_t * x
    will hold the x

DESCRIPTION
This function will export the DSA private key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/